%global pkg_name        AnyEvent
%global pkg_version     2.6
%global rpm_pkg_version 2.60
%global rpm_pkg_release 1.n0i.5

Summary:       Framework for multiple event loops
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl

# do not require any "event" suite, let users decide
%global perl_filter_req 'perl\\((EV|Event|Coro|Glib|Tk)'

%description
AnyEvent provides an identical interface to multiple event loops. This
allows module authors to utilizy an event loop without forcing module users
to use the same event loop (as only a single event loop can coexist
peacefully at any one time).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}

%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 2.60-1.n0i.5.2.6
- version 2.6

* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 2.55-1.n0i.4
- version 2.55
- spec update (new reb00t build tools)

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 2.54-1.n0i.3
- version 2.54

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.52-1.n0i.2
- version 2.52
- filtered out all 4 alternative event frameworks

* Sat Apr 08 2006 Marius Feraru <altblue@n0i.net> 1.02-1.n0i.1
- spec file (re)created using main/v1.12.0
- rebuild on perl 5.8.8
